CC = gcc
CFLAGS =  -O2 
LDFLAGS = -O2
SRC = $(wildcard *.c)
OBJ = $(patsubst %.c, %.o, $(SRC))
PKG = dump2analysis

$(PKG): $(OBJ)
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $(PKG)

obj/%.o: src/%.cpp dump2analysis.h
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(OBJ) $(PKG)

install: $(PKG)
	install $(PKG) ~/bin
